Summary: UPS power management under Linux for APCC Products.
Name: apcupsd
Version: 3.4.7-libc5
Release: 2
Copyright: Unsupported (See http://www.dyer.vanderbilt.edu/server/apcupsd for further notice).
Group: Daemons/Ups
Source: http://www.dyer.vanderbilt.edu/server/apcupsd/%{name}-3.4.7.bin.linux.tar.gz
Patch:apcupsd-3.4.7-rpm.patch
Packager: Sorin Lingureanu <sorin@dntis.ro> 
BuildRoot: /var/tmp/apc-root
Requires: initscripts >= 2.95, sed
Summary(ro): Demon pentru comunicarea cu produse UPS ale firmei APCC. 

%description
It allows your computer/server to run during power problems for a specified
length of time or the life of the batteries in your BackUPS, BackUPS Pro, or
SmartUPS, and then properly executes a controlled shutdown during an
extended power failure.

%description -l ro
Permite computerului/serverului sa functioneze in timpul unei probleme de
alimentare pentru o perioada specificata de timp sau pana la epuizarea
bateriei (bateriilor) din UPS-ul care alimenteaza masina d-voastra 
( BackUPS, BackUPS Pro, sau SmartUPS), si executa oprirea controlata a
acesteia in cazul unei pene de alimentare de lunga durata. 

%prep
%setup -n %{name}-3.4.7.bin.linux
%patch -p1
rm -rf $RPM_BUILD_ROOT/*

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin/
install -d $RPM_BUILD_ROOT/sbin/
install -d $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,2,3,5,6}.d}
install -d $RPM_BUILD_ROOT/usr/man/man8/
$RPM_BUILD_DIR/%{name}-3.4.7.bin.linux/INSTALL redhat libc5 $RPM_BUILD_ROOT 

%files
%attr(-, root, root) %doc README Changelog port.gif
%attr(-, root, root) %doc %{name}-3.4.7.bin.linux.lsm
%attr(-, root, root) %doc readmes/*
%attr(-, root, root) %doc docs/apcupsd.docs
%attr(-, root, root) %doc installs/halt.rhs
%attr(644, root, man) /usr/man/man8/apcupsd.8.gz
%attr(755, root, root) %config(missingok) /etc/rc.d/rc[012356].d/[SK]20apcups
%attr(755, root, bin)  /sbin/apcupsd
%attr(755, root, root) /bin/apcaccess
%attr(755, root, bin)  %config(noreplace) /sbin/powersc
%attr(644, root, root) %config(noreplace) /etc/apcupsd.conf
%attr(755, root, root) %config /etc/rc.d/init.d/apcups

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# This part ensures that the configuration files are appropriate for this
# version of the package by making a few tests originally performed in the
# packages's Makefile
if [ -f /etc/apcupsd.conf ]; then
        if [ ! "`grep -i "ether" /etc/apcupsd.conf`" = "#            940-0095C | ether ]" ]; then
                echo Forced update of \"apcupsd.conf\" in \"/etc/apcupsd.conf\"
                echo Edit this file after the instalation to make sure that its
                echo contents is appropriate.
                mv /etc/apcupsd.conf /etc/apcupsd.conf.rpmsave
        fi
fi
if [ -f /sbin/powersc ]; then
        if [ ! "`grep -i "ONBATTERY)" /sbin/powersc`" = "      ONBATTERY)" ]; then
                echo Forced update of \"powersc\" in \"/sbin/powersc\"
                echo Edit this file after the instalation to make sure that its
                echo contents is appropriate.
                mv /sbin/powersc /sbin/powersc.rpmsave
        fi
fi

%post
echo Make sure that /etc/rc.d/init.d/apcups and /etc/rc.d/init.d/halt
echo contents are appropriate for your system.
echo Also note, that the "halt" script has to contains a /sbin/powersc
echo invocation. If you have used initscripts with version bigger than 3.32 
echo there should be no problem. If in doubt check the contents of \"halt.rhs\" file in the
echo documentation directory for this package.
sed -e '/# Now halt or reboot./i\' -e '# See if this is a powerfail situation.\
if [ -f /etc/powerfail ]; then\
  echo "APCUPSD to the Rescue!"\
  echo\
  /sbin/powersc KILL\
  echo\
  sleep 120\
  exit 1\
fi\
' /etc/rc.d/init.d/halt > /etc/rc.d/init.d/halt.new
mv -f /etc/rc.d/init.d/halt.new /etc/rc.d/init.d/halt
chmod 755 /etc/rc.d/init.d//halt

%postun
if [ $1 = 0 ]; then
   sed -e '/# See if this is a powerfail situation./,/fi/d' /etc/rc.d/init.d/halt > /tmp/halt.tmp
   mv -f /tmp/halt.tmp /etc/rc.d/init.d/halt
   sed -e ':x;/./!{N;s/^\n$//;tx}' /etc/rc.d/init.d/halt > /tmp/halt.tmp 
   sed -e '$a\' -e '' /tmp/halt.tmp > /etc/rc.d/init.d/halt 
   rm -f /tmp/halt.tmp
   chmod 755 /etc/rc.d/init.d/halt
fi

%changelog

* Sat Oct 17 1998 17:56 - version 3.4.7

- fixed missing apcaccess and other mirror bugs

* Tue Aug 18 1998 19:34 - version 3.4.7

- translation modified for ro

Fixed a missing and needed wait delay for netmaster systems.
This was discovered when mixing flavors of Linux.
Since SuSE, RHS, and Debain require extra time for shutdowns.
man-page is closer to date..........

Slave management disconnect/reconnect added to apcaccess.
Fixed excessive loss of UPS communications loggings of ::
        UPSlink Comm. Error, SM != SM
        UPSlink Comm. reestablished, SM == SM

Fixed Signal/Cable Combination errors.
        A "SmartUPS" with a "Simple Cable" with report as a "BackUPS".



* Fri Mar 20 1998 01:09 - version 3.3.0

Network death solved (hopefully)
PowerFlute removed due to unexplainable daemon kills under 2.0.X. and
some cases of 2.1.X. (TCPIP)

This is replaced bye the original tool that now works "apcaccess".
"apcaccess" is functional under both 2.0.X and 2.1.X kernels without
killing the damon "apcupsd".

EPROM programming of many UPS models is now functional.

Example::

apcaccess : polling apcupsd for status.

APC      : Mar 20 01:24:56
CABLE    : APC Cable 940-0024B
UPSMODEL : SmartUPS
UPSMODE  : Stand Alone
ULINE    : 124.0 Volts
MLINE    : 125.2 Volts
NLINE    : 124.0 Volts
FLINE    : 60.0 Hz
VOUTP    : 124.0 Volts
LOUTP    : 028.0
BOUTP    : 27.3 Volts
BCHAR    : 100.0
BFAIL    : 0x08
SENSE    : HIGH
WAKEUP   : 060 Cycles
SLEEP    : 020 Cycles
LOTRANS  : 103.0 Volts
HITRANS  : 129.0 Volts
CHARGE   : 025.0 Percent
UTEMP    : 49.5 C Internal
ALARM    : Low Batt + 30
DIPSW    : 0x0000

root@Orion cat apcupsd.status
APC      : Mar 20 01:27:31
CABLE    : APC Cable 940-0024B
UPSMODEL : SmartUPS
UPSMODE  : Stand Alone
UPSNAME  : UPS_IDEN
ULINE    : 124.0 Volts
MLINE    : 124.6 Volts
NLINE    : 124.0 Volts
FLINE    : 60.0 Hz
VOUTP    : 124.0 Volts
LOUTP    : 028.0 Load Capacity
BOUTP    : 27.3 Volts
BCHAR    : 100.0 Batt. Charge
BFAIL    : 0x08 Status Flag
SENSE    : HIGH
WAKEUP   : 060 Cycles
SLEEP    : 020 Cycles
LOTRANS  : 103.0 Volts
HITRANS  : 129.0 Volts
CHARGE   : 025.0 Percent
UTEMP    : 49.5 C Internal
ALARM    : Low Batt
DIPSW    : 0x0000

* Tue Jan 27 1998 15:24 - version 3.2.2

Fixed a reporting error in /etc/apcupsd.status for CUSTOM SIMPLE cable.
Fixed a reporting error in /var/log/apcupsd.log for CUSTOM SIMPLE cable.

* Wed Jan 8 1998 13:41 - version 3.2.1

Fixed INSTALL from "readhat" to "redhat"
Fixed INSTALL errors of "slackware"

Bug search that causes network death, lost slaves under 2.0.X only??
Bug search that causes text-powerflute to kill daemon only under 2.0.X.

* Thu Dec 18 1997 16:11 - version 3.2.0

apcflute.c all code for reconfiguration complete.

* Mon Dec  8 1997 21:18 apcupsd.c - version 3.1.0

 - apcupsd-3.0.0

Now binaries only...........

* Wed Dec  3  1997 13:05 - version 2.9.9

Fixed "for (killcount=0;killcount>3;killcount++)" bug
                                 ^ killcount<3;

Found by Piotr Kasprzyk <kwadrat@zeus.polsl.gliwice.pl>.

* Tue Nov 25 1997 15:13 - version 2.9.8

Added user defined magic and security timeouts.
Started powerflute update running master or standalone daemon.
Added another field for SmartUPS procfs file.

* Tue Nov 18 1997 19:19 - version 2.9.7

Added second alternate method for killing power for non SU SmartUPS.
I have one of these older models, and it needs a bigger kick.

Disable lockfiles if slave is a netslave with (ups->cable == APC_NET),
or ethernet.

* Mon Nov 10 1997 22:34 - version 2.9.6

split source files...........

10885 Nov 10 20:40 apcnet.c         :: NetUPS
18805 Nov 10 22:37 config.c         :: configuration

5924 Nov 10 19:54 apcflute.c.src    :: powerflute interface to apcupsd
5264 Nov 10 12:43 powerflute.c.src  :: powerflute tcp management of apcupsd

Brian Schau <bsc@fleggaard.dk> added lockfiles for serial ports.

NetUPS or EtherUPS now works.
Needs more security likely, you can set your own TCP port number.
Will add user MAGIC at compile in the future.
